Skip to content
Navigation

Create a Forecast proof upload session

POST
https://api.sureshake.com/v2/entities/{entityId}/calls/{callId}/evidence/uploads

Path parameters

  • entityId
    required

    Any of the following:

    • string
    • string
  • callId
    string
    required
    format: uuid

Request body JSON required

  • filename
    string
    required
    maxLength: 255 · minLength: 1
  • mimeType
    application/pdf
    or
    image/jpeg
    or
    image/png
    or
    image/webp
    or
    text/plain
    or
    text/csv
    required
  • byteSize
    integer
    required
    maximum: 26214400 · minimum: 0
  • sha256
    string
    required
    pattern: ^sha256:[a-f0-9]{64}$

Returns

201

Default Response

JSON
  • data
    object
    required
    • artifact
      object
      required
      • id
        string
        required
        format: uuid
      • callId
        string
        required
        format: uuid
      • filename
        string
        required
      • mimeType
        string
        required
      • byteSize
        integer
        required
        minimum: 0
      • sha256
        string
        required
        pattern: ^sha256:[a-f0-9]{64}$
      • status
        upload_session_created
        or
        scan_pending
        or
        attached
        or
        failed
        required
      • scanError
        string
        or null
        required
      • eventId
        string
        or null
        required
        format: uuid
      • confirmedAt
        string
        or null
        required
        format: date-time
      • createdAt
        string
        required
        format: date-time
    • uploadUrl
      string
      required
      format: uri
    • uploadMethod
      PUT
      required
    • uploadHeaders
      map of
      string
      required
    • uploadExpiresAt
      string
      required
      format: date-time
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

409

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

503

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close